Subject: Re: bug#24790: Acknowledgement (Segmentation fault when changing default font on master)

From: Clément Pit--Claudel <[email-masked]>
Date: Tue, 25 Oct 2016 15:31:22 -0400

On 2016-10-25 14:21, Eli Zaretskii wrote:
>> Cc: [email-masked]
>> From: Clément Pit--Claudel <[email-masked]>
>> Date: Tue, 25 Oct 2016 13:50:18 -0400
>>
>> Let me know what data I could provide to help shed light on the issue (I'll remove my cache-related patch and send the results in a separate reply) :)
> 
> Well, I would start by finding out why that AREF segfaults.  Is the
> index wrong, or is the array bogus?

Looks like the array is bogus.  I attached a new trace with full debugging information.

Some interesting data:

* This crashes:

(dotimes (_ 2)
  (set-frame-font (font-spec
                   :family "Ubuntu Mono"
                   :weight 'semi-light)))

This doesn't (it properly sets the font)

(dotimes (_ 2)
  (set-frame-font (font-spec
                   :family "Ubuntu Mono"
                   :weight 'light)))

The first one is what x-select-font returns.  I'm not sure why.

Cheers,
Clément.